Reviewed by Mark Rowe.
authorthatcher <thatcher@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 3 Aug 2007 18:03:00 +0000 (18:03 +0000)
committerthatcher <thatcher@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 3 Aug 2007 18:03:00 +0000 (18:03 +0000)
        Correct the bundle version check to work in Debug and Release builds too.

        * WebKit.xcodeproj/project.pbxproj:

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@24848 268f45cc-cd09-0410-ab3c-d52691b4dbfc

WebKit/ChangeLog
WebKit/WebKit.xcodeproj/project.pbxproj

index 061dc7049b5308ebf5e15a51286e67197eff3be8..71a79ef7ab7d53be5672ea2e0040e9e154e798f8 100644 (file)
@@ -1,3 +1,11 @@
+2007-08-03  Timothy Hatcher  <timothy@apple.com>
+
+        Reviewed by Mark Rowe.
+
+        Correct the bundle version check to work in Debug and Release builds too.
+
+        * WebKit.xcodeproj/project.pbxproj:
+
 2007-08-02  Brady Eidson  <beidson@apple.com>
 
         Reviewed by Tim
index 83fb48b67b5a4dc5160521dc08582baaf26059a9..3119fa9817fb77df6562a3b412fe3e79ea983a44 100644 (file)
                        );
                        runOnlyForDeploymentPostprocessing = 0;
                        shellPath = "/usr/bin/perl -w";
-                       shellScript = "if ($ENV{BUNDLE_VERSION} =~ /4\\.|4$/) {\n    die \"Can't set WebKit's version to something that ends in a 4!\\nIf we do, someone's going to think it's Netscape 4.\\nRadar bug 3787996 has some details.\\n\";\n}\n";
+                       shellScript = "if ($ENV{FULL_VERSION} =~ /4\\.|4$/) {\n    die \"Can't set WebKit's version to something that ends in a 4!\\nIf we do, someone's going to think it's Netscape 4.\\nRadar bug 3787996 has some details.\\n\";\n}\n";
                };
                1C6CB0510AA63EB000D23BFD /* Migrate Headers */ = {
                        isa = PBXShellScriptBuildPhase;